| Class SentinelRankDictionary A rank dictionary, additional storing sentinel character which are not accounted for in a rank querry. SentinelRankDictionary<TRankDictionary, TSpec> Include Headers seqan/index.h Parameters
TRankDictionary | The rank dictionary of a text. Types: RankDictionary
TSpec | Specialisation
Functions
clear | Clears the dictionary.
empty | Returns whether or not the dictionary is empty.
open | This functions loads a dictionary from disk.
save | This functions saves a dictionary to disk.
sentinelPosition | Returns whether a specified position is a sentinel position.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56